• Welcome to Simple Machines Community Forum. Please login or sign up.

SMF 2.1 Beta 2 Released

Started by Oldiesmann, July 16, 2015, 05:45:30 PM

Previous topic - Next topic

Oldiesmann

July 16, 2015, 05:45:30 PM Last Edit: July 18, 2015, 09:45:45 AM by Antes
Dear Users,

Simple Machines is proud to announce the release of the 2nd beta of SMF 2.1. This version contains many improvements over Beta 1 and also fixes many bugs that were discovered following its release. Among the notable improvements:


  • There is now an interface in the admin center for configuring default notification/alert preferences.
  • For new installs, MySQL's InnoDB storage engine is used by default if available. This will provide better performance.
  • Support for fulltext search with InnoDB tables on MySQL 5.6.4 or higher.
  • Optional two-factor authentication support for added security.
For full details of what has changed, please see our GitHub archive.

Please remember that the minimum requirements of SMF have been increased to PHP 5.3.8+ and MySQL 5.0.3+ or PostgresSQL 8.0+. Servers running a lower version of either will not be able to run SMF 2.1 and we do not intend to support them. If you have a server running an older version, you can either upgrade your server software or stay at an older version of SMF. SMF 2.1 has also dropped support for IE6 and IE7 but will continue to work with IE9+ (although IE10+ is really recommended) and browsers having similar/fuller standards compliance (any modern version of Chrome, Safari, Firefox, Opera etc will be fine).

The general installation and upgrading procedure remains the same, however, once you upgrade from an older version to 2.1 you cannot go back, so please take careful consideration before upgrading any live site.. Have a look at Installing and Upgrading SMF in the Online Manual to find out more. You cannot upgrade to 2.1 Beta 2 via the package manager; instead you will need to carry out the "Large Upgrade" process. SMF 2.1 can be obtained from the Download section.

Please note: Because this is a beta release, translations and language strings other than English have not been finalized and may not be complete yet.

Finally, as always, this topic is not for support; discussion and support for 2.1 can be found in the new 2.1 support board.
Michael Eshom
Cincy Space - now open!

Looking

Good choice for storage engine.

Steve

Awesome. Kudos to everyone involved. ;D

Quote from: Oldiesmann on July 16, 2015, 05:45:30 PM... this topic is not for support...

The only way you won't get support questions is if you lock the thread but then you (and the rest of the team) wouldn't get all the thanks you rightfully deserve. :)
Please do not PM me for support.

Night09

Just got home from work and saw this good news! ;)

Robert.

Quote from: Night09 on July 16, 2015, 06:47:08 PM
Just got home from work and saw this good news! ;)
That makes two of us. :)

Fantastic news, great work and thank you!

LiroyvH

((U + C + I)x(10 − S)) / 20xAx1 / (1 − sin(F / 10))
President/CEO of Simple Machines - Server Manager
Please do not PM for support - anything else is usually OK.

TomW

Excellent !  I can't wait for Beta 3 now  ;)

Sido

Quote from: Night09 on July 16, 2015, 06:47:08 PM
Just got home from work and saw this good news! ;)
I'm at work and saw this good news 📰 :D

Bigguy

Awesome work everyone. Great to see.

jaideejung007

Beta 2 is WAITING A LONG TIME.

Great news.

And hope for FINALLY VERSION IN Shortly.

Kindred

There will be at least one more beta release...
Please do not PM, IM or Email me with support questions.  You will get better and faster responses in the support boards.  Thank you.

"Loki is not evil, although he is certainly not a force for good. Loki is... complicated."

Rumpa


OCJ

Nice to see things moving.

Are all the 2.1 Beta 1 bugs fixed? I still see 129 issues on GitHub. It was around 126 for quite a long time.

Apllicmz




iMiKK

thank you for SMF development team.

mertusta

Great work guys, thanks a lot.

Shambles

Fine effort.


Quote from: Oldiesmann
... You cannot upgrade to 2.1 Beta 1 via the package manager ...
Shouldn't that say "2.1 Beta 2"?

gisfreak

Me fail English? That's unpossible.

live627

Quote from: Shambles on July 17, 2015, 03:26:18 AM
Quote from: Oldiesmann
... You cannot upgrade to 2.1 Beta 1 via the package manager ...
Shouldn't that say "2.1 Beta 2"?
yes

fixed

GravuTrad

On a toujours besoin d'un plus petit que soi! (Petit!Petit!)


Think about Search function before posting.
Pensez à la fonction Recherche avant de poster.

Advertisement: